Index: plugins/atom.sh
===================================================================
RCS file: /cvsroot/nanoblogger/nanoblogger/plugins/atom.sh,v
retrieving revision 1.53
diff -u -3 -p -r1.53 atom.sh
--- plugins/atom.sh	1 Aug 2006 19:08:18 -0000	1.53
+++ plugins/atom.sh	30 Aug 2006 16:16:42 -0000
@@ -50,6 +50,7 @@ if [ ! -z "$FEEDMOD_VAR" ] || [ "$USR_QU
 	cat > "$MKPAGE_OUTFILE" <<-EOF
 		<?xml version="1.0" encoding="$BLOG_CHARSET"?>
 		<feed xmlns="http://www.w3.org/2005/Atom">
+        <?xml-stylesheet type="text/css" href="/styles/feed.css"?>
 		<title type="html">$NB_AtomTitle</title>
 		<link rel="alternate" type="text/html" href="$BLOG_URL"/>
 		<link rel="self" type="application/atom+xml" href="$BLOG_FEED_URL"/>

Index: plugins/rss2.sh
===================================================================
RCS file: /cvsroot/nanoblogger/nanoblogger/plugins/rss2.sh,v
retrieving revision 1.27
diff -u -3 -p -r1.27 rss2.sh
--- plugins/rss2.sh	1 Aug 2006 19:08:18 -0000	1.27
+++ plugins/rss2.sh	30 Aug 2006 16:16:42 -0000
@@ -47,6 +47,7 @@ if [ ! -z "$FEEDMOD_VAR" ] || [ "$USR_QU
 
 	cat > "$MKPAGE_OUTFILE" <<-EOF
 		<?xml version="1.0" encoding="$BLOG_CHARSET"?>
+        <?xml-stylesheet type="text/css" href="/styles/feed.css"?>
 		<rss version="2.0"
 		 xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
 		 xmlns:dc="http://purl.org/dc/elements/1.1/"
--- /dev/null	2006-08-14 10:52:24.904056500 +0200
+++ default/styles/feed.css	2006-05-10 01:02:19.000000000 +0200
@@ -0,0 +1,95 @@
+/*
+Make RSS and Atom feeds at least semi-legible to folk who accidentally
+load them in a browser...
+
+Compatibility:
+* Mozilla is fine.
+* Safari 1.2: the RSS <link> text isn't shown
+* Opera 7.5 uses the style sheet instead of its native RSS mode.
+* IE/Mac 5.2: none of the :before content works; doesn't get the charset right and displays garbage for non-ASCII.
+* IE/Win 6.0: No background color, borders, font size, font weight, or :before content.
+
+*/
+
+/* RSS: */ rss, channel, title, link, description, language, generator, lastBuildDate, item, pubDate, author, comments, creator,
+/* Atom: */ feed, id, modified, tagline, entry, issued, created, updated, summary, comment {
+	display: block;
+}
+
+rss, feed {
+	background: white;
+	color: black;
+	margin: 1em;
+	font-family: "Verdana", "Tahoma", "Arial", "Helvetica", sans-serif;
+	line-height: 1.5em;
+	font-size: 76%;
+}
+
+rss:before {
+	content: "This RSS feed is meant to be read in a syndicated news reader, and isn't ideal for a web browser.";
+}
+
+feed:before {
+	content: "This Atom feed is meant to be read in a syndicated news reader, and isn't ideal for a web browser.";
+}
+rss:before, feed:before {
+	color: red;
+	text-align: center;
+	line-height: 2em;
+}
+
+channel>title,
+item>title,
+feed>title,
+entry>title {
+	font-weight: bold;
+	border-bottom: solid 1px #aaa;
+	margin-left: -0.5em;
+}
+channel>title, feed>title {
+	font-size: larger;
+}
+item>title, entry>title {
+	font-size: large;
+}
+item, entry {
+	margin-top: 1em;
+	margin-left: 2em;
+}
+
+item>description, entry>summary {
+	white-space: pre;
+	overflow: auto;
+	background: #f8f8ff;
+}
+
+pubDate:before { content: "Date: " }
+link:before { content: "Link: " }
+author:before, creator:before { content: "Author: " }
+description:before { content: "Description: " }
+id:before { content: "Id: " }
+
+generator:before { content: "Generator: " }
+language:before { content: "Language: " }
+lastBuildDate:before { content: "Updated: " }
+comments:before { content: "Comments page: " }
+
+tagline:before { content: "Tagline: " }
+issued:before { content: "Issued: " }
+created:before { content: "Created: " }
+modified:before { content: "Modified: " }
+updated:before { content: "Updated: " }
+summary:before { content: "Summary: " }
+comment:before { content: "Comment: " }
+
+pubDate:before, link:before, author:before, description:before,
+language:before, generator:before, lastBuildDate:before, comments:before,
+tagline:before, issued:before, created:before, modified:before,
+summary:before, comment:before, creator:before, id:before, updated:before {
+	color: #224;
+	font-weight: bold;
+}
+
+feed link:after {
+	content: attr(href);
+}
